انتقل إلى المحتوى
أقسام الوثائق

لم تُترجَم هذه الصفحة بعد، لذا نعرض لك النسخة الإنجليزية.

Send Event Type Example Message

POST /endpoint/{endpoint_id}/send-example on the Webhooks API. Base URL: https://api.sinay.ai/webhook/api/v1.

Send an example message for a specific event. Note that this will only sent demo data (and not real tracking data) This can only be used to send event types that are configured for the endpoint.

Path parameters

stringمطلوب

The ep's ID or UID

Header parameters

NameTypeRequiredDescription
idempotency-keystringNoThe request's idempotency key.

Request body

application/json, required.

FieldTypeRequiredDescription
eventTypestringYesThe event type's name.

Responses

Body: application/json, object.

FieldTypeRequiredDescription
eventIdstring, nullableNoOptional unique identifier for the message.
eventTypestringYesThe event type's name.
payloadobjectYes—
channelsarray of string, nullableNoList of free-form identifiers that endpoints can filter by.
idstringYesThe msg's ID.
timestampstring (date-time)Yes—